## osinfo_image

osinfo_image — A pre-installed image for a (guest) OS

## Functions

OsinfoImage * | osinfo_image_new ()
const gchar * | osinfo_image_get_architecture ()
const gchar * | osinfo_image_get_format ()
const gchar * | osinfo_image_get_url ()
gboolean | osinfo_image_get_cloud_init ()
OsinfoOs * | osinfo_image_get_os ()
void | osinfo_image_set_os ()
OsinfoOsVariantList * | osinfo_image_get_os_variants ()

## Types and Values

#define | OSINFO_TYPE_IMAGE
#define | OSINFO_IMAGE_PROP_ARCHITECTURE
#define | OSINFO_IMAGE_PROP_FORMAT
#define | OSINFO_IMAGE_PROP_URL
#define | OSINFO_IMAGE_PROP_CLOUD_INIT
#define | OSINFO_IMAGE_PROP_VARIANT

## Description

OsinfoImage is an entity representing an installation image a (guest) operating system.

## Functions

### osinfo_image_new ()

    OsinfoImage *
    osinfo_image_new (const gchar *id,
                      const gchar *architecture,
                      const gchar *format);

### osinfo_image_get_architecture ()

    const gchar *
    osinfo_image_get_architecture (OsinfoImage *image);

Retrieves the target hardware architecture of the OS `image` provides.

#### Parameters

image | an OsinfoImage instance |

#### Returns

the hardware architecture, or NULL.

[transfer none]

Since: 1.3.0

### osinfo_image_get_format ()

    const gchar *
    osinfo_image_get_format (OsinfoImage *image);

The format of the `image`

#### Parameters

image | an OsinfoImage instance |

#### Returns

the format, or NULL.

[transfer none]

Since: 1.3.0

### osinfo_image_get_url ()

    const gchar *
    osinfo_image_get_url (OsinfoImage *image);

The URL to the `image`

#### Parameters

image | an OsinfoImage instance |

#### Returns

the URL, or NULL.

[transfer none]

Since: 1.3.0

### osinfo_image_get_cloud_init ()

    gboolean
    osinfo_image_get_cloud_init (OsinfoImage *image);

Whether `image` supports cloud init customizations

#### Parameters

image | an OsinfoImage instance |

#### Returns

TRUE if `image` supports cloud init customizations, FALSE otherwise.

Since: 1.3.0

### osinfo_image_get_os ()

    OsinfoOs *
    osinfo_image_get_os (OsinfoImage *image);

#### Parameters

image | an OsinfoImage instance |

#### Returns

the operating system, or NULL.

[transfer full]

Since: 1.5.0

### osinfo_image_set_os ()

    void
    osinfo_image_set_os (OsinfoImage *image,
                         OsinfoOs *os);

Sets the OsinfoOs associated to the OsinfoImage instance.

#### Parameters

image | an OsinfoImage instance |
os | an OsinfoOs instance |

Since: 1.5.0

### osinfo_image_get_os_variants ()

    OsinfoOsVariantList *
    osinfo_image_get_os_variants (OsinfoImage *image);

Gets the varriants of the associated operating system

#### Parameters

image | an OsinfoImage instance |

#### Returns

the operating system variants, or NULL.

[transfer full]

Since: 1.5.0

## Types and Values

### OSINFO_TYPE_IMAGE

    #define OSINFO_TYPE_IMAGE (osinfo_image_get_type ())

### OSINFO_IMAGE_PROP_ARCHITECTURE

    #define OSINFO_IMAGE_PROP_ARCHITECTURE      "architecture"

### OSINFO_IMAGE_PROP_FORMAT

    #define OSINFO_IMAGE_PROP_FORMAT            "format"

### OSINFO_IMAGE_PROP_URL

    #define OSINFO_IMAGE_PROP_URL               "url"

### OSINFO_IMAGE_PROP_CLOUD_INIT

    #define OSINFO_IMAGE_PROP_CLOUD_INIT        "cloud-init"

### OSINFO_IMAGE_PROP_VARIANT

    #define OSINFO_IMAGE_PROP_VARIANT           "variant"

## See Also

OsinfoOs